<script setup lang="ts">
import { ref } from "vue";
const message = ref("Hello World!");

function reverseMessage() {
  message.value = message.value.split("").reverse().join("");
}

function notify() {
  alert("navigation was prevented.");
}
</script>

<template>
  <h1>{{ message }}</h1>
  <button @click="reverseMessage">Reverse Message</button>
  <button @click="message += '!'">Append "!"</button>
  <a href="http://vuejs.org" @click.prevent="notify">
    A link with e.preventDefault
  </a>
</template>
<style>
button,
a {
  display: block;
  margin-bottom: 1em;
}
</style>
